TAU_PROFILE_SET_GROU(3)

NAME
TAU_PROFILE_SET_GROUP_NAME - Changes the group name of a profiled section

SYNOPSIS

C/C++:

TAU_PROFILE_SET_GROUP_NAME(char *groupname);

DESCRIPTION

TAU_PROFILE_SET_GROUP_NAME macro allows the user to change the group name associated with the instrumented routine. This macro must be called within the instrumented routine.

EXAMPLE

C/C++ :

void foo() {
  TAU_PROFILE("foo()", "void ()", TAU_USER);
  TAU_PROFILE_SET_GROUP_NAME("Particle");
  /* gives a more meaningful group name */
}

SEE ALSO

TAU_PROFILE